// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package order_web

import (
	context "context"
	order "gitlab.com/adhocguru/fcp/apis/gen/order/v1/order"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// OrderServiceClient is the client API for OrderService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type OrderServiceClient interface {
	ListOrderProcess(ctx context.Context, in *order.ListOrderProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOrderProcessType(ctx context.Context, in *order.ListOrderProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOrderDeliveryCondition(ctx context.Context, in *order.ListOrderDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOrderPaymentCondition(ctx context.Context, in *order.ListOrderPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOrderCategory(ctx context.Context, in *order.ListOrderCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOrderBrand(ctx context.Context, in *order.ListOrderBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOrderProduct(ctx context.Context, in *order.ListOrderProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOrderQuantityType(ctx context.Context, in *order.ListOrderQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListOrderNames(ctx context.Context, in *order.ListOrderNamesRequest, opts ...grpc.CallOption) (*order.ListOrderNamesResponse, error)
	GetOrder(ctx context.Context, in *order.GetOrderRequest, opts ...grpc.CallOption) (*order.GetOrderResponse, error)
	ListOrder(ctx context.Context, in *order.ListOrderRequest, opts ...grpc.CallOption) (*order.ListOrderResponse, error)
}

type orderServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewOrderServiceClient(cc grpc.ClientConnInterface) OrderServiceClient {
	return &orderServiceClient{cc}
}

func (c *orderServiceClient) ListOrderProcess(ctx context.Context, in *order.ListOrderProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OrderService/ListOrderProcess", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *orderServiceClient) ListOrderProcessType(ctx context.Context, in *order.ListOrderProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OrderService/ListOrderProcessType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *orderServiceClient) ListOrderDeliveryCondition(ctx context.Context, in *order.ListOrderDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OrderService/ListOrderDeliveryCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *orderServiceClient) ListOrderPaymentCondition(ctx context.Context, in *order.ListOrderPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OrderService/ListOrderPaymentCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *orderServiceClient) ListOrderCategory(ctx context.Context, in *order.ListOrderCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OrderService/ListOrderCategory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *orderServiceClient) ListOrderBrand(ctx context.Context, in *order.ListOrderBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OrderService/ListOrderBrand", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *orderServiceClient) ListOrderProduct(ctx context.Context, in *order.ListOrderProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OrderService/ListOrderProduct", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *orderServiceClient) ListOrderQuantityType(ctx context.Context, in *order.ListOrderQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OrderService/ListOrderQuantityType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *orderServiceClient) ListOrderNames(ctx context.Context, in *order.ListOrderNamesRequest, opts ...grpc.CallOption) (*order.ListOrderNamesResponse, error) {
	out := new(order.ListOrderNamesResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OrderService/ListOrderNames", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *orderServiceClient) GetOrder(ctx context.Context, in *order.GetOrderRequest, opts ...grpc.CallOption) (*order.GetOrderResponse, error) {
	out := new(order.GetOrderResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OrderService/GetOrder", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *orderServiceClient) ListOrder(ctx context.Context, in *order.ListOrderRequest, opts ...grpc.CallOption) (*order.ListOrderResponse, error) {
	out := new(order.ListOrderResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.OrderService/ListOrder", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// OrderServiceServer is the server API for OrderService service.
// All implementations must embed UnimplementedOrderServiceServer
// for forward compatibility
type OrderServiceServer interface {
	ListOrderProcess(context.Context, *order.ListOrderProcessRequest) (*order.DictResponse, error)
	ListOrderProcessType(context.Context, *order.ListOrderProcessTypeRequest) (*order.DictResponse, error)
	ListOrderDeliveryCondition(context.Context, *order.ListOrderDeliveryConditionRequest) (*order.DictResponse, error)
	ListOrderPaymentCondition(context.Context, *order.ListOrderPaymentConditionRequest) (*order.DictResponse, error)
	ListOrderCategory(context.Context, *order.ListOrderCategoryRequest) (*order.DictResponse, error)
	ListOrderBrand(context.Context, *order.ListOrderBrandRequest) (*order.DictResponse, error)
	ListOrderProduct(context.Context, *order.ListOrderProductRequest) (*order.DictResponse, error)
	ListOrderQuantityType(context.Context, *order.ListOrderQuantityTypeRequest) (*order.DictResponse, error)
	ListOrderNames(context.Context, *order.ListOrderNamesRequest) (*order.ListOrderNamesResponse, error)
	GetOrder(context.Context, *order.GetOrderRequest) (*order.GetOrderResponse, error)
	ListOrder(context.Context, *order.ListOrderRequest) (*order.ListOrderResponse, error)
	mustEmbedUnimplementedOrderServiceServer()
}

// UnimplementedOrderServiceServer must be embedded to have forward compatible implementations.
type UnimplementedOrderServiceServer struct {
}

func (UnimplementedOrderServiceServer) ListOrderProcess(context.Context, *order.ListOrderProcessRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOrderProcess not implemented")
}
func (UnimplementedOrderServiceServer) ListOrderProcessType(context.Context, *order.ListOrderProcessTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOrderProcessType not implemented")
}
func (UnimplementedOrderServiceServer) ListOrderDeliveryCondition(context.Context, *order.ListOrderDeliveryConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOrderDeliveryCondition not implemented")
}
func (UnimplementedOrderServiceServer) ListOrderPaymentCondition(context.Context, *order.ListOrderPaymentConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOrderPaymentCondition not implemented")
}
func (UnimplementedOrderServiceServer) ListOrderCategory(context.Context, *order.ListOrderCategoryRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOrderCategory not implemented")
}
func (UnimplementedOrderServiceServer) ListOrderBrand(context.Context, *order.ListOrderBrandRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOrderBrand not implemented")
}
func (UnimplementedOrderServiceServer) ListOrderProduct(context.Context, *order.ListOrderProductRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOrderProduct not implemented")
}
func (UnimplementedOrderServiceServer) ListOrderQuantityType(context.Context, *order.ListOrderQuantityTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOrderQuantityType not implemented")
}
func (UnimplementedOrderServiceServer) ListOrderNames(context.Context, *order.ListOrderNamesRequest) (*order.ListOrderNamesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOrderNames not implemented")
}
func (UnimplementedOrderServiceServer) GetOrder(context.Context, *order.GetOrderRequest) (*order.GetOrderResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetOrder not implemented")
}
func (UnimplementedOrderServiceServer) ListOrder(context.Context, *order.ListOrderRequest) (*order.ListOrderResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListOrder not implemented")
}
func (UnimplementedOrderServiceServer) mustEmbedUnimplementedOrderServiceServer() {}

// UnsafeOrderServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to OrderServiceServer will
// result in compilation errors.
type UnsafeOrderServiceServer interface {
	mustEmbedUnimplementedOrderServiceServer()
}

func RegisterOrderServiceServer(s grpc.ServiceRegistrar, srv OrderServiceServer) {
	s.RegisterService(&OrderService_ServiceDesc, srv)
}

func _OrderService_ListOrderProcess_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOrderProcessRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrderServiceServer).ListOrderProcess(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OrderService/ListOrderProcess",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrderServiceServer).ListOrderProcess(ctx, req.(*order.ListOrderProcessRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OrderService_ListOrderProcessType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOrderProcessTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrderServiceServer).ListOrderProcessType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OrderService/ListOrderProcessType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrderServiceServer).ListOrderProcessType(ctx, req.(*order.ListOrderProcessTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OrderService_ListOrderDeliveryCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOrderDeliveryConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrderServiceServer).ListOrderDeliveryCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OrderService/ListOrderDeliveryCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrderServiceServer).ListOrderDeliveryCondition(ctx, req.(*order.ListOrderDeliveryConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OrderService_ListOrderPaymentCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOrderPaymentConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrderServiceServer).ListOrderPaymentCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OrderService/ListOrderPaymentCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrderServiceServer).ListOrderPaymentCondition(ctx, req.(*order.ListOrderPaymentConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OrderService_ListOrderCategory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOrderCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrderServiceServer).ListOrderCategory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OrderService/ListOrderCategory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrderServiceServer).ListOrderCategory(ctx, req.(*order.ListOrderCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OrderService_ListOrderBrand_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOrderBrandRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrderServiceServer).ListOrderBrand(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OrderService/ListOrderBrand",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrderServiceServer).ListOrderBrand(ctx, req.(*order.ListOrderBrandRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OrderService_ListOrderProduct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOrderProductRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrderServiceServer).ListOrderProduct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OrderService/ListOrderProduct",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrderServiceServer).ListOrderProduct(ctx, req.(*order.ListOrderProductRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OrderService_ListOrderQuantityType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOrderQuantityTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrderServiceServer).ListOrderQuantityType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OrderService/ListOrderQuantityType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrderServiceServer).ListOrderQuantityType(ctx, req.(*order.ListOrderQuantityTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OrderService_ListOrderNames_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOrderNamesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrderServiceServer).ListOrderNames(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OrderService/ListOrderNames",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrderServiceServer).ListOrderNames(ctx, req.(*order.ListOrderNamesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OrderService_GetOrder_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetOrderRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrderServiceServer).GetOrder(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OrderService/GetOrder",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrderServiceServer).GetOrder(ctx, req.(*order.GetOrderRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _OrderService_ListOrder_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListOrderRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(OrderServiceServer).ListOrder(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.OrderService/ListOrder",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(OrderServiceServer).ListOrder(ctx, req.(*order.ListOrderRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// OrderService_ServiceDesc is the grpc.ServiceDesc for OrderService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var OrderService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.order.v1.order_web.OrderService",
	HandlerType: (*OrderServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ListOrderProcess",
			Handler:    _OrderService_ListOrderProcess_Handler,
		},
		{
			MethodName: "ListOrderProcessType",
			Handler:    _OrderService_ListOrderProcessType_Handler,
		},
		{
			MethodName: "ListOrderDeliveryCondition",
			Handler:    _OrderService_ListOrderDeliveryCondition_Handler,
		},
		{
			MethodName: "ListOrderPaymentCondition",
			Handler:    _OrderService_ListOrderPaymentCondition_Handler,
		},
		{
			MethodName: "ListOrderCategory",
			Handler:    _OrderService_ListOrderCategory_Handler,
		},
		{
			MethodName: "ListOrderBrand",
			Handler:    _OrderService_ListOrderBrand_Handler,
		},
		{
			MethodName: "ListOrderProduct",
			Handler:    _OrderService_ListOrderProduct_Handler,
		},
		{
			MethodName: "ListOrderQuantityType",
			Handler:    _OrderService_ListOrderQuantityType_Handler,
		},
		{
			MethodName: "ListOrderNames",
			Handler:    _OrderService_ListOrderNames_Handler,
		},
		{
			MethodName: "GetOrder",
			Handler:    _OrderService_GetOrder_Handler,
		},
		{
			MethodName: "ListOrder",
			Handler:    _OrderService_ListOrder_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/order_web/order_web.proto",
}
